const QString EMAIL_RE_STR(
    // Regex for an e-mail address.
    // From colander.__init__.py, in turn from
    // https://html.spec.whatwg.org/multipage/input.html#e-mail-state-(type=email)
    // Note that C++ raw strings start R"( and end )"

    R"(^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9])"
    R"((?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9])"
    R"((?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$)"
);
